Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Limit Class Reference

限界値 More...

`#include <Limit.h>`

List of all members.

## Static Public Member Functions
bool | inCharRange (int value)
| charの範囲内か
bool | inUCharRange (int value)
| u_charの範囲内か
bool | inShortRange (int value)
| shortの範囲内か
bool | inUShortRange (int value)
| u_shortの範囲内か
## Static Public Attributes
const char | charMin = (-128)
| char最小値
const char | charMax = (127)
| char最大値
const u_char | uCharMin = (0)
| u_char最小値
const u_char | uCharMax = (0xff)
| u_char最大値
const short | shortMin = (-32768)
| short最小値
const short | shortMax = (32767)
| short最大値
const u_short | uShortMin = (0)
| u_short最小値
const u_short | uShortMax = (0xffff)
| u_short最大値
const int | intMin = (-2147483647 - 1)
| int最小値
const int | intMax = (2147483647)
| int最大値
const u_int | uIntMin = (0)
| u_int最小値
const u_int | uIntMax = (0xffffffff)
| u_int最大値
const float | floatPositiveMin = (1.175494351e-38F)
| float最小の正数
const float | floatMax = (3.402823466e+38F)
| float最大値
const float | floatMaxSqrt = (1.84467435e+019F)
| float最大値平方根
const double | doubleMin = (2.2250738585072014e-308)
| double最小値
const double | doubleMax = (1.7976931348623158e+308)
| double最大値

## Detailed Description

限界値

Definition at line 34 of file Limit.h.

## Member Function Documentation

bool Lamp::Limit::inCharRange | ( | int | value | ) | `[inline, static]`

  | charの範囲内か Parameters:
  value | チェックする値
Definition at line 80 of file Limit.h. References charMax, and charMin.

bool Lamp::Limit::inShortRange | ( | int | value | ) | `[inline, static]`

  | shortの範囲内か Parameters:
  value | チェックする値
Definition at line 97 of file Limit.h. References shortMax, and shortMin.

bool Lamp::Limit::inUCharRange | ( | int | value | ) | `[inline, static]`

  | u_charの範囲内か Parameters:
  value | チェックする値
Definition at line 88 of file Limit.h. References uCharMax, and uCharMin.

bool Lamp::Limit::inUShortRange | ( | int | value | ) | `[inline, static]`

  | u_shortの範囲内か Parameters:
  value | チェックする値
Definition at line 105 of file Limit.h. References uShortMax, and uShortMin.

The documentation for this class was generated from the following files:

- Limit.h
- Limit.cpp